%define upstream_name XML_Tree
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.0.0
Release:     	%mkrel 2
Summary:    	Rpresent XML data in a tree structuree
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/XML_Tree-%{version}RC3.tgz
URL: 		http://pear.php.net/package/XML_Tree
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-XML_Parser >= 1.1.0
Requires:	php-pear >= 1.4.7
BuildArch: 	noarch
Epoch:		1

%description
Allows for the building of XML data structures using a tree
representation, without the need for an extension like DOMXML.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_Tree.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_Tree.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_Tree
fi

%files
%defattr(-,root,root)
%doc docs/XML_Tree/*
%{peardir}/*
%{xmldir}/XML_Tree.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:2.0.0-2.mga3
+ Revision: 377469
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 1:2.0.0-1.mga3
+ Revision: 275579
- bumped to released

* Thu Jan 26 2012 spuhler <spuhler> 2.0.0RC3-2.mga2
+ Revision: 201684
+ rebuild (emptylog)

* Thu Jan 12 2012 spuhler <spuhler> 2.0.0RC3-1.mga2
+ Revision: 195183
- upgrade to RC3
  pearized spec

* Sun Jan 30 2011 spuhler <spuhler> 2.0.0-13.mga1
+ Revision: 44472
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_Tree

